%define upstream_name    PDF-Builder
%define upstream_version 3.027

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Facilitates the creation and modification of PDF files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/PDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Font::TTF) >= 1.40.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Memory::Cycle) >= 1.0.0
BuildArch:  noarch

%description
Represents a page of output in PDF. It also keeps track of the content
stream, any resources (such as fonts) being switched, etc.

Page inherits from Pages due to a number of shared methods. They are really
structurally quite different.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INFO LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 08 2025 umeabot <umeabot> 3.27.0-2.mga10
+ Revision: 2252007
- Mageia 10 Mass Rebuild

* Tue Apr 22 2025 tv <tv> 3.27.0-1.mga10
+ Revision: 2178095
- update to 3.027

* Tue Dec 12 2023 tv <tv> 3.26.0-1.mga10
+ Revision: 2017503
- update to 3.026

* Fri Feb 03 2023 tv <tv> 3.25.0-1.mga9
+ Revision: 1937877
- update to 3.025

* Wed Sep 14 2022 tv <tv> 3.24.0-1.mga9
+ Revision: 1888157
- update to 3.024

* Mon Mar 21 2022 umeabot <umeabot> 3.23.0-2.mga9
+ Revision: 1814744
- Mageia 9 Mass Rebuild

* Sat Jul 17 2021 tv <tv> 3.23.0-1.mga9
+ Revision: 1736460
- update to 3.023

* Sun Apr 04 2021 tv <tv> 3.22.0-1.mga9
+ Revision: 1713153
- update to 3.022

* Tue Dec 29 2020 tv <tv> 3.21.0-1.mga8
+ Revision: 1664672
- update to 3.021

* Mon Nov 30 2020 tv <tv> 3.20.0-1.mga8
+ Revision: 1650628
- update to 3.020

* Wed Nov 11 2020 tv <tv> 3.19.0-1.mga8
+ Revision: 1644465
- imported package perl-PDF-Builder


* Wed Nov 11 2020 Thierry Vignaud <tv@mageia.org> 3.19.0-1.mga8
- initial mageia release, generated with cpan2dist
